Jump to content
jtwrace

Allo Sparky USBridge

Recommended Posts

I can only play 44.1 files all other rates just static noise.  I just received this Usbrige it is on 6.1 I have rebooted from the dietpi webpage. I’m using roon966614C2-765F-4E59-BEE3-7716D164D7CA.thumb.png.11f07c9c4896ac915099ba5064c0c689.png

Share this post


Link to post
Share on other sites
On 2/14/2018 at 4:09 AM, ambre said:

Are there problems: Yes, since the update from Version 1.58 / 1.59 to 6.0 IMO a problem with the Allo Web Gui. And USB defaults as soon as you change/alter the Allo Web Gui the default is changed into USB 1.2 instead needed USB 2.0.

This causes that you can only play 44.1 or 48.0 kHz music.

@Allo @ALLOaudio @Daniel Knight

There seems to be a couple reports of only 16/44 playback and distortion on everything else. Not sure if this USB 1.2 issue is the problem as I can switch DACs and LH Labs works at all resolutions, Legacy Wavelet doesn't. 

 

I've posted the issue at Roon Labs Support forum, but so far no suggestions. The fact we can stream 16/44 and nothing else, makes me think its a Dietpi/USBridge issue.

 

Thanks for your attention to this matter, I'm anxious to listen to my new DAC!!

Share this post


Link to post
Share on other sites
1 hour ago, Lobbster said:

@Allo @ALLOaudio @Daniel Knight

There seems to be a couple reports of only 16/44 playback and distortion on everything else. Not sure if this USB 1.2 issue is the problem as I can switch DACs and LH Labs works at all resolutions, Legacy Wavelet doesn't. 

 

I've posted the issue at Roon Labs Support forum, but so far no suggestions. The fact we can stream 16/44 and nothing else, makes me think its a Dietpi/USBridge issue.

 

Thanks for your attention to this matter, I'm anxious to listen to my new DAC!!

Just to update, DigiOne Player with Dietpi V156 works exactly as it should with Wavelet & Roon DSP settings for all resolutions.  

Share this post


Link to post
Share on other sites

I have successfully updated all my devices to Dietpi V6.2 and the same issue persists. DigiOne works at all resolutions and Roon DSP adjustments. My 2 USBridges still buzz on everything except 16/44.

Share this post


Link to post
Share on other sites

I got this error when running diet-update on a 6.1>6.2 system:

 

[ SUB1 ] DietPi-Software > Configuring Allo: web interface
[ INFO ] DietPi-Create_MySQL_DB | Creating MariaDB database: allo_db
ERROR 1007 (HY000) at line 1: Can't create database 'allo_db'; database exists
[FAILED] Creating MariaDB database: allo_db | An issue has occured
ERROR 1062 (23000) at line 39: Duplicate entry '1' for key 'PRIMARY'
rm: cannot remove '/var/www/index.htm*': No such file or directory

Hitting http://dietpi.local/allo/public/index.php from a  web browser post-upgrade returns a 'Login failed' message. Have the default username/passwd for the Allo web guy changed? I'll delete the cookie and try again.

Share this post


Link to post
Share on other sites

Hi Lobster, 

IMO NO Update 6.2 available on site Dietpi resp. Allo.

Please sse below

 

No response to questions from Allo and DietPi for about one to a week and a half.
Suppose they are on holiday and / or watching Olypic games
o.O

 

Its version 6.1 

Filename          : DietPi_v6.1_SparkySBC-ARMv7-Stretch_AlloGUI-v5.img
MD5               : a068ba3f8e308a50a2054b745a2b2b41
SHA1              : f07af1f51e47bf88cd58c6a3388c758c9ebfea94
CRC32             : 
SHA-256           : 267e6bc20be36e554eec1550c0f7abc2ff20a09d9fa5a83f41d06faf716012f1
SHA-512           : 
SHA-384           : 
Full Path         : \\Fuzon\wd_1tb\#Backups\_Daniel\Projects\DietPi\DietPi_v6.1_SparkySBC-ARMv7-Stretch_AlloGUI-v5.img
Modified Time     : 02/02/2018 20:30:07
Created Time      : 27/01/2018 16:12:42

Share this post


Link to post
Share on other sites

Hi Lobster,

 

Oeps just found latest version 6.2 without the Allo Web GUI on DietPi  website.This is  standard/normal  distro. 

 

Again without any kind of communication.  Only after unzipping you can  read in the hash.txt  file that this is a newer version.

Ps. Just read in CA  forum that there are again problems with16/44 or 48 playback ?

 

screenshot_80.jpg

Share this post


Link to post
Share on other sites
9 minutes ago, ambre said:

Hi Lobster,

 

Latest version 6.2 without the Allo Web GUI on DietPi  website.This is  standard/normal  distro. 

 

This is version 6.2 for Raspberry ( I  also use as NAA) .

But not for Sparky UsBridge.

Share this post


Link to post
Share on other sites

I updated with no issues what so ever. Well done guys. Everything including hi-resolution music is working as it should. Thanks for all your work and making a device of such quality accessible to mere mortals like me. 

Share this post


Link to post
Share on other sites
1 hour ago, ambre said:

Hi Lobster, 

IMO NO Update 6.2 available on site Dietpi resp. Allo.

Please sse below

 

No response to questions from Allo and DietPi for about one to a week and a half.
Suppose they are on holiday and / or watching Olypic games
o.O

 

Its version 6.1 

Filename          : DietPi_v6.1_SparkySBC-ARMv7-Stretch_AlloGUI-v5.img
MD5               : a068ba3f8e308a50a2054b745a2b2b41
SHA1              : f07af1f51e47bf88cd58c6a3388c758c9ebfea94
CRC32             : 
SHA-256           : 267e6bc20be36e554eec1550c0f7abc2ff20a09d9fa5a83f41d06faf716012f1
SHA-512           : 
SHA-384           : 
Full Path         : \\Fuzon\wd_1tb\#Backups\_Daniel\Projects\DietPi\DietPi_v6.1_SparkySBC-ARMv7-Stretch_AlloGUI-v5.img
Modified Time     : 02/02/2018 20:30:07
Created Time      : 27/01/2018 16:12:42

Tech support will reply shortly.

Share this post


Link to post
Share on other sites
1 hour ago, ambre said:

Hi Lobster,

 

Oeps just found latest version 6.2 without the Allo Web GUI on DietPi  website.This is  standard/normal  distro. 

 

Again without any kind of communication.  Only after unzipping you can  read in the hash.txt  file that this is a newer version.

Ps. Just read in CA  forum that there are again problems with16/44 or 48 playback ?

 

screenshot_80.jpg

 

What is your DietPi current version running on Sparky ?

- If your current installed version is 6.0 or 6.1 did you tried system-update (from Allo Web Gui or from DiePi-update Menu) ?

- If  current installed version < 6.0 reflashing from img available on  http://dietpi.com/phpbb/viewtopic.php?f=8&t=2317&p=8869#p8869 is required but i presume it will automatically update to 6.2 on install, even is img file is 6.1, isn't it ?

Share this post


Link to post
Share on other sites
7 hours ago, Lobbster said:

Try using SSH, It's a big update.

 

 v6.2 update working with terminal mode (dietpi-update) and Allo web GUI mode -system update.

 

On v6.2  usb-dac-1.1 selection included on GUI  , Thanks to Dan

 

image.thumb.png.53f71de8c6de7074d12a28a3989c4119.png

 

 

 

 

 

Share this post


Link to post
Share on other sites
3 hours ago, volpone said:

 

What is your DietPi current version running on Sparky ?

- If your current installed version is 6.0 or 6.1 did you tried system-update (from Allo Web Gui or from DiePi-update Menu) ?

 

Hi Volpone,

 

Was running the standard (=Non Allo Web GUI) version 6.1.

Just updated to 6.2 by means of SSH. Just  booted (once) now playing dsd128 as requested.:D

 

Best regards, Andreas

Share this post


Link to post
Share on other sites

@Lobbster  right, I ran dietpi-update from an ssh session, hit that mysql error during the update and, post update, can't login to the web gui. I changed the hostname from dietpi to usbridge which exposed the Allo gui login screen but the previous credentials (username [email protected] and pw allo) no longer allow access to the web gui (I get a 'Login failed' page when trying to authenticate). Anyone have any ideas? I suppose I'll probably just end up re-imaging my usbridge at some point but wanted to see if anyone else had run into this. Apart from accessing the web gui, everything seems to be working fine (plus cpu running a good 5C cooler which is nice).

Share this post


Link to post
Share on other sites
3 hours ago, rahul_kc said:

v6.2 update working with terminal mode (dietpi-update) and Allo web GUI mode -system update.

On v6.2  usb-dac-1.1 selection included on GUI  , Thanks to Dan

image.thumb.png.53f71de8c6de7074d12a28a3989c4119.png

 

Hallo Rahul,

 

I have update via SSH standard version of DietPi 6.1 to 6.2  (on EMMC-card).

What to do with selection usb-day-1.1 or 2.0 if you update by means of SSH resp. terminal mode?

Is default USB setting in terminal mode 2.0 ?

 

Very best regards, Andreas

 

 

Share this post


Link to post
Share on other sites
48 minutes ago, ambre said:

 

Hallo Rahul,

 

I have update via SSH standard version of DietPi 6.1 to 6.2  (on EMMC-card).

What to do with selection usb-day-1.1 or 2.0 if you update by means of SSH resp. terminal mode?

Is default USB setting in terminal mode 2.0 ?

 

Very best regards, Andreas

 

 

Hi @ambre 

v6.2 by default USB configuration is 2.0 

I think your dac is correctly detected. bcz of this only you able to play DSD128.

 

usb 1.1 dac selection required only for Dargonfly red or other similar USB 1.1 dac models.

Now this selection option available on Allo web GUI dac selection.

On terminal dietpi-config ->audio options

 

Share this post


Link to post
Share on other sites

Thanks to Rahul for helping me determine my Legacy Wavelet DAC uses USB 1.1!

Thanks to Allo for adding the USB 1.1 soundcard option just as I decided to buy a new DAC!!

 

My world is whole again - peace, love, happiness & music!

Share this post


Link to post
Share on other sites
3 hours ago, rahul_kc said:

Hi @ambre 

v6.2 by default USB configuration is 2.0 

I think your dac is correctly detected. bcz of this only you able to play DSD128.

 

usb 1.1 dac selection required only for Dargonfly red or other similar USB 1.1 dac models.

Now this selection option available on Allo web GUI dac selection.

On terminal dietpi-config ->audio options

 

Thanks you very much for your quick answer.

Share this post


Link to post
Share on other sites

I would like to use gentoo on the sparky card.

I compiled the kernel and the compilation was successful.
also the installation of the modules is ok.

But I did not understand how the boot partition should be populated.

I have a zImage file in /arc/arm/boot/
and several files in /arc/arm/boo/dts/

can someone help me?

Share this post


Link to post
Share on other sites

Hello,

 

after reading lots of enthusiastic comments about the sound quality of the Sparky + USBridge here on this forum, I am interested to try this solution with an other computer than sparky.

 

Theoretically USBridge attaches to the USB Bus of the sparky, filters noise from the data lines, rebuilds the USB bus with an USB hub IC. All this is supplied with good LDO PSUs. With the right adapter (only connecting the differential data lines and ground) it should be possible to attach the board to each USB pot, like the USB port of iMac or anything else.

 

Did someone try this?

 

Currently I build a USB DAC with the PCM1704, NOS multibit, accepts up to 384 kHz, so digital filtering can be provided in the playback software. The USBridge before the USB receiver could clean things up and make the solution more versatile than bound only to sparky as a source 

Share this post


Link to post
Share on other sites

Hello,

I'm thinking to order Aqvox Low-Noise Power Supply 5V 1A Raspberry DAC Mini-USB Micro-USB, for Allo sparky usb bridge. 

Which Barrel Connector 5.5/2.5 mm or  Barrel Connector 5.5/2.1 mm would fit for Allo sparky usb bridge.

Thank you for advice.

Share this post


Link to post
Share on other sites

Just updated to v6.2 (latest) no sound at all playing through HQ player and (or) J river.

On v6.1 before update HQ player was able to send music through sparky usb bridge to dac.

Tried to reboot no changes.

 

Share this post


Link to post
Share on other sites

×